DevToolPal
PT

Verificador de sintaxe de e-mail

Verifique a sintaxe de um ou vários e-mails, ache erros de digitação no domínio e remova duplicados. Só o formato, sem consultar a caixa postal.

Roda localmente, nada é enviado

Opções

Mostrar

Endereços de e-mail (um por linha)

0 caracteres · 0 B

Verificação de sintaxe

O resultado aparece aqui

O que faz

Esta ferramenta verifica se endereços de e-mail estão escritos corretamente. Cole um endereço ou uma lista inteira, e cada um é marcado como válido ou inválido, com o motivo: falta de @, dois pontos seguidos, domínio sem ponto ou um caractere não permitido. É útil para limpar uma lista de e-mails antes de uma importação, conferir regras de validação de formulários ou achar aquela linha quebrada em uma exportação CSV.

Ela verifica só o formato. Não contata nenhum servidor de e-mail, então não consegue dizer se a caixa postal existe ou aceita mensagens.

Como usar

  1. Cole os endereços no campo de entrada, um por linha. Vírgulas e pontos e vírgulas também funcionam como separadores, então você pode colar uma linha Para: diretamente.
  2. Os resultados aparecem enquanto você digita, com um resumo de quantos endereços são válidos e inválidos.
  3. Use Mostrar para listar todos, só os válidos ou só os inválidos. Remover duplicados descarta repetições; o domínio é comparado sem diferenciar maiúsculas de minúsculas.
  4. Clique em Copiar válidos para copiar a lista limpa, um endereço por linha.

Nomes de exibição também são tratados: Bob Smith <bob@example.com> é verificado como bob@example.com, com uma nota de que o nome foi removido.

O que é verificado

  • Exatamente um @ (fora de aspas), com algo dos dois lados.
  • O endereço inteiro tem no máximo 254 caracteres e a parte antes do @, no máximo 64.
  • A parte local usa caracteres permitidos, sem pontos no início, no fim ou duplicados. Partes locais entre aspas como "john doe"@example.org são aceitas com um aviso.
  • O domínio tem pelo menos dois rótulos, cada um com 1–63 caracteres entre letras, dígitos e hifens, sem começar ou terminar com hífen, e um domínio de nível superior com cara de real. Literais de IP como admin@[192.168.0.1] são aceitos com um aviso.
  • Erros de digitação comuns em domínios populares, como gmial.com ou qq.con, recebem uma sugestão de “você quis dizer”.

Exemplo

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Perguntas frequentes

› Isto verifica se a caixa postal existe?

Não. É apenas uma verificação de sintaxe. A ferramenta não consulta nem contata os servidores de e-mail do domínio, então um endereço pode passar aqui e ainda assim voltar. Confirmar uma caixa postal exige um servidor, e o único teste confiável é enviar um e-mail de confirmação.

› Os endereços são enviados para algum lugar?

Não. Todas as verificações rodam no seu navegador, então suas listas de e-mail nunca saem do seu dispositivo.

› Quais regras ela segue?

A sintaxe de endereços das RFC 5321 e RFC 5322, além dos endereços internacionalizados da RFC 6531. Formas obsoletas, como comentários dentro do endereço, são rejeitadas porque quase nenhum sistema de e-mail as aceita.

› Por que um endereço válido aparece com um aviso?

Alguns endereços são permitidos, mas arriscados: um provável erro de digitação como gmial.com, um endereço IP no lugar do domínio, uma parte local entre aspas ou caracteres não ASCII que alguns servidores recusam. O endereço continua contando como válido.